( function( blocks, editor, components, i18n, element ) {
    var el = element.createElement;
    var __ = i18n.__;
    blocks.registerBlockType( 'iframe-plugin/iframe', {
        title: 'Easiio Presentation',
        icon: 'media-code',
        category: 'common',
        attributes: {
            url: {
                type: 'string',
                default: ''
            }
        },
        edit: function( props ) {
            var url = props.attributes.url;
            function onChangeUrl( newUrl ) {
                props.setAttributes( { url: newUrl } );
            }
            function onChangeItem(e) {
                console.log(11111)
                // props.setAttributes( { url: newUrl } );
                let items = window.presentations;
                // let element = document.querySelector('[data-taskId="' + item.id + '"]');
                let content = '';
                // for (item of items) {
                //     content+= `<div class="item" onclick="clickItem(this)" data-url="${item.shareUUID}">${item.name}</div>`;
                // }

                for (item of items) {
                    content += `<div class="item-part" onclick="clickItem(this)"  data-url="${item.shareUUID}">
                        <img class="item-img" src="${item.presentationDetail[0]?item.presentationDetail[0].url:''}">
                        <div class="item-text">${item.name}</div>
                    </div>`;
                }
                console.log('content:',content)
                console.log('e:',e.target)
                console.log('eeee:',e.target.parentElement)
                e.target.parentElement.getElementsByClassName('list-part')[0].innerHTML= '<div class="list-part-content">'+content+'</div>';
                // let div = e.target.parentNode.parentNode;
                e.target.parentElement.getElementsByClassName('list-part')[0].style.display = 'flex';
            }
            console.log('window.presentations:', window.presentations)
            return el(
                'div',
                { className: props.className },
                el(
                    'div',
                    { className: 'choice-url-item' },
                    el( 'div', {
                        className: 'get-list-btn',
                        onClick: onChangeItem,
                    },
                        'Get List'
                    ),
                    el( 'div', {
                        className: 'list-part'
                    } ),
                ),
                el(
                    components.TextControl,
                    {
                        label: __( 'URL' ),
                        value: url,
                        className: 'url-input',
                        onChange: onChangeUrl
                    }
                ),
                el(
                    'div',
                    { className: 'iframe-preview' },
                    el( 'iframe', { src: url, width: '100%', height: '400' } )
                )
            );
        },
        save: function( props ) {
            var url = props.attributes.url;
            return el(
                'div',
                { className: props.className },
                el( 'iframe', { src: url, width: '100%', height: '600' } )
            );
        }
    } );

    function myFunction(onChangeInput) {
        // 在这里调用 onChangeInput 函数
        onChangeInput('new value');
    }

} )(
    window.wp.blocks,
    window.wp.editor,
    window.wp.components,
    window.wp.i18n,
    window.wp.element
);

function clickItem(e) {
    e.parentElement.parentElement.style.display = 'none';
    let url = 'https://easiio.sflow.io/sharepresentation/?s=' + e.dataset.url;
    console.log('url:',url)
    // e.parentElement.parentElement.getEleml.value = "Hello World";
    e.parentElement.parentElement.parentElement.parentElement.getElementsByClassName('url-input')[0].getElementsByTagName('input')[0].value = url;
    // myFunction();
    // onChangeUrl(url);
}