const apiHost = 'https://api.sflow.io'
const apiKey = 'ZhAX7zMZyenG9aNXjrDGhmBEFJHQzJHx'

let $gtHttp = function (data){
    return new Promise((resolve, reject)=>{
        return fetch(
            apiHost+ '/graphql', {
                method: 'post',
                body: data,
                headers: {
                    'Content-Type': 'application/json',
                    'Content-Length': data.length,
                    'User-Agent': 'Node',
                    'apikey': 'A02E2F20-AB1D-4E58-B36D-642DC6D46ACD',
                },
            }
        ).then((res)=>{
            try {
                const response = res.json()
                resolve(response)
            } catch (error) {
                resolve(res)
            }
        }).catch(err=>{
            console.log('catch err:', err);
            reject(err)
        })
    })
}

let getOrgTasks = function(data) {
    return JSON.stringify({
        operationName: "getProjectIssuesByIntegrationKey",
        query: `query getProjectIssuesByIntegrationKey($key: String!) {
                getProjectIssuesByIntegrationKey(key: $key) {
                    id
                    title
                    status
                    description
                    descriptionText
                    attachments {
                        id
                        url
                        name
                    }
                   
                }
            }`,
        variables: data
    })
}
let tasks = [];
let getTasks = async function (){
    const data = getOrgTasks({
        key: apiKey,
    });
    const response = await $gtHttp(data)
    if(response && response.data && response.data.getProjectIssuesByIntegrationKey){
        tasks = response.data.getProjectIssuesByIntegrationKey
        for (item of tasks) {
            let element = document.querySelector('[data-taskId="' + item.id + '"]');
            if(element) {
                // console.log('element:', element)
                let html = '';
                if(item.attachments&&item.attachments[0]&&item.attachments[0].url) {
                    // html = '<iframe style="border: none;" loading="lazy" src="' + item.attachments[0].url + '" width="100%" height="600"></iframe>';
                    // html = '<iframe style="border: none;" loading="lazy" src="' + item.attachments[0].url + '" width="100%" height="600"></iframe>';
                    // html = '<video src="'+ item.attachments[0].url +'"></video>'
                    html='<video controls width="100%">' +
                        '<source src="' + item.attachments[0].url + '" type="video/webm"></video>';
                } else {
                    html = '<div class="video-waitting-text">Wait for video to generate.......</div>';
                }
                element.innerHTML = html;
                element.style.display = "block";
            }
        }
    }
}
getTasks()

let getOrgPresentations = function() {
    return JSON.stringify({
        operationName: "getOrgPresentationsByAdmin",
        query: `query getOrgPresentationsByAdmin {
                getOrgPresentationsByAdmin {
                    id
                    name
                    description
                    fileName
                    shareUUID
                    presentationDetail {
                     url
                    }
                }
            }`,
    })
}
let getPresentations = async function () {
    let data = getOrgPresentations();
    const response = await $gtHttp(data)

    let items = response.data.getOrgPresentationsByAdmin
    window.presentations = items
}

getPresentations();